/* Início btn Amarelo */

.btn-amarelo {
  width: 300px !important;
  padding: 15px 0 !important;
  background-color: var(--amarelo) !important;
  color: var(--branco) !important;
  border: 0px !important;
  border-radius: 8px !important;
  font-weight: bold !important;
  align-self: center;
  transition: all 0.6s ease;
  position: relative;
  outline: none;
  display: inline-block;
  z-index: 1;
  overflow: hidden;
}

.btn-amarelo::after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
  background-color: var(--branco);
  transition: width 0.6s ease;
  border: 1px solid var(--amarelo);
  border-radius: 8px !important;
  color: var(--amarelo) !important;
}

.btn-amarelo:hover {
  color: var(--amarelo) !important;
  border-radius: 8px !important;
}

.btn-amarelo:hover::after {
  width: 100%;
  color: var(--amarelo) !important;
  border-radius: 8px !important;
}

.btn-amarelo:active {
  top: 2px;
  color: var(--amarelo) !important;
  border-radius: 8px !important;
}

/* Fim btn Amarelo */

/* Início btn secundário */

.btn-preto {
  width: 300px !important;
  padding: 15px 0 !important;
  background-color: var(--preto) !important;
  color: var(--branco) !important;
  border: 0px !important;
  border-radius: 8px !important;
  font-weight: bold !important;
  align-self: center;
  transition: all 0.6s ease;
  position: relative;
  outline: none;
  display: inline-block;
  z-index: 1;
  overflow: hidden;
}

.btn-preto::after {
  position: absolute;
  content: "";
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
  background-color: var(--amarelo);
  transition: width 0.6s ease;
  border: 1px solid var(--preto);
  border-radius: 8px !important;
  color: var(--preto) !important;
}

.btn-preto:hover {
  color: var(--preto) !important;
  border-radius: 8px !important;
}

.btn-preto:hover::after {
  width: 100%;
  color: var(--preto) !important;
  border-radius: 8px !important;
}

.btn-preto:active {
  top: 2px;
  color: var(--amarelo) !important;
  border-radius: 8px !important;
}

/* Fim btn secundário */

.btn-transparente {
  background-color: #ffffff2e !important;
  color: var(--branco) !important;
  padding: 10px 30px !important;
  border-radius: 50px !important;
}

.nav-link-primary {
  color: var(--branco) !important;
  text-decoration: none !important;
  padding: 10px;
  margin: 0 30px;
  border-bottom: 2px solid transparent;
  transition: all 0.3s;
}

.nav-link-primary:hover {
  border-bottom: 2px solid var(--branco);
}

.swiper-button-prev,
.swiper-button-next {
  position: absolute;
  top: 50%;
  width: 27px;
  height: 44px;
  margin-top: -22px;
  z-index: 10;
  cursor: pointer;
  -moz-background-size: 27px 44px;
  -webkit-background-size: 27px 44px;
  background-size: 27px 44px;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--primary-color) !important;
  background-color: var(--branco);
  padding: 24px;
  border-radius: 4px;
}
